Page 21 of 21

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIO

Posted: Fri Aug 07, 2015 8:08 pm
by ocartman
Finally got it working, i would revert back after i would see the errors in this module and i assume were old modules.
I imagine i have so much old code in the directory from upgrading the software, it would be nice if this was somehow removed during the upgrade.
I did notice that my options all had doubles so i deleted one of them.

thanks for the help.

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIO

Posted: Wed Aug 12, 2015 9:47 pm
by Qphoria
ocartman wrote:Finally got it working, i would revert back after i would see the errors in this module and i assume were old modules.
I imagine i have so much old code in the directory from upgrading the software, it would be nice if this was somehow removed during the upgrade.
I did notice that my options all had doubles so i deleted one of them.

thanks for the help.
Yea sometimes the options are duplicated because in 1.4.x if you have
Product A
- Color : Red

and
Product B
- Color : Red

The script tries to merge the colors into the option table resulting in 2 Color: Red entries

As far as extra files, you "could" rename the admin, catalog, and system folder before uploading the new files, then copy the config.php file from the renamed admin folder to the new admin folder before continuing with the built in upgrade script that comes with the version you downloaded.

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIO

Posted: Tue Oct 20, 2015 9:09 am
by viperarchery
Ok I just did the beta upgrade and I'm getting all these errors. Can someone help me determine what I need to do? Im not sure where to go from here...
Here are the errors:
OpenCart 1.x Upgrade Script (BETA)

The following errors occured:

Could not execute this query: SELECT @dat:=`value` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_description_1'; Unknown column 'group' in 'where clause'

Could not execute this query: SELECT @id:=`setting_id` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_description_1'; Unknown column 'group' in 'where clause'

Could not execute this query: SELECT @dat:=`value` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_welcome_1'; Unknown column 'group' in 'where clause'

Could not execute this query: INSERT INTO `oc_option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `oc_product_option`; Unknown column 'sort_order' in 'field list'

Could not execute this query: INSERT INTO `oc_option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `oc_product_option_description`; Table 'vipera6_ocar197.oc_product_option_description' doesn't exist

Could not execute this query: INSERT INTO `oc_option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `oc_product_option_value`; Unknown column 'sort_order' in 'field list'

Could not execute this query: INSERT INTO `oc_option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `oc_product_option_value_description` AS `povd` INNER JOIN `oc_product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'vipera6_ocar197.oc_product_option_value_description' doesn't exist

The above errors occurred because the script could not properly determine the existing state of those db elements. Your store may not need those changes. Please post any errors on the forums to ensure that they can be addressed in future versions!

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Sat Apr 08, 2017 12:52 am
by mighty9403
I'm looking to upgrade my current version of Opencart from 1.5.4.6 to version 2 is this the correct tutorial to follow?

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Sun Apr 09, 2017 1:43 am
by IP_CAM
not really, but you'll find huge amounts of information on this, if you search this Place by use of Google.
And in any case, you better remove everything on Themes and/or Extensions/VqMods first, and get
your place down to default Values, before even trying. Then, create another Shop and DB, to test it out.
And don't touch your running Place, before everything is tested and works, or you have a good chance
to end up in plain frustration, and no more running Shop.

Still, a version v.1.5.4.6 did not exist, as I recall... :o
Ernie

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Sun Apr 09, 2017 4:16 am
by EvolveWebHosting
IP_CAM wrote:
Sun Apr 09, 2017 1:43 am


Still, a version v.1.5.4.6 did not exist, as I recall... :o
Ernie
1.5.4.6 did not exist but 1.5.6.4 was a released version.

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Sun Apr 09, 2017 5:34 am
by IP_CAM
oops, sorry, I forgot :laugh:

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Sun Apr 23, 2017 12:34 am
by Carsten
Hello.
After upgrading, after step 12, I get the following error.
Any advice?

Fatal error: Uncaught exception 'Exception' with message 'Error: Could not load model total!' in /home2/cnielsen/public_html/new-beat.net/shop/system/engine/loader.php:169 Stack trace: #0 [internal function]: Loader->{closure}(Array, Array) #1 /home2/cnielsen/public_html/new-beat.net/shop/system/engine/proxy.php(25): call_user_func_array(Object(Closure), Array) #2 /home2/cnielsen/public_html/new-beat.net/shop/catalog/controller/common/cart.php(37): Proxy->__call('getTotal', Array) #3 /home2/cnielsen/public_html/new-beat.net/shop/catalog/controller/common/cart.php(37): Proxy->getTotal(Array) #4 [internal function]: ControllerCommonCart->index(Array) #5 /home2/cnielsen/public_html/new-beat.net/shop/system/engine/action.php(51): call_user_func_array(Array, Array) #6 /home2/cnielsen/public_html/new-beat.net/shop/system/engine/loader.php(24): Action->execute(Object(Registry), Array) #7 /home2/cnielsen/public_html/new-beat.net/shop/catalog/controller/common/header.php(129): Loader->controller('common/cart') #8 [internal functio in /home2/cnielsen/public_html/new-beat.net/shop/system/engine/loader.php on line 169

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Tue Mar 13, 2018 5:40 pm
by Theking2
First of, thanks for this script. It does seem like an upgrade is possible.
From the readme I am a bit confused by steps 4a and 4b
4a what is meant by "ALL NEW OPENCART FILES"?
4b shouldn't it read "beta 3 upgrade zipfile"? Or is there a "beta 2 upgrade zipfile" involved?

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Fri Oct 19, 2018 11:46 pm
by vadrum
Hi,
I just tried to upgrade my store from 1.4.9.3 to 1.5.1.2 using this script but I get the following errors:

Could not execute this query: INSERT INTO `option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `product_option`; Duplicate entry '377' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `product_option_description`; Table 'Sql969431_1.product_option_description' doesn't exist

Could not execute this query: INSERT INTO `option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `product_option_value`; Duplicate entry '741' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `product_option_value_description` AS `povd` INNER JOIN `product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Table 'Sql969431_1.product_option_value_description' doesn't exist

---

I tried to follow these indications in my sql but, for example, there's no duplicate entry 377 as it says for the first error...maybe I'm doing something wrong or I'm looking in the wrong place?
Please let me know what I should do to upgrade, thank you so much

Re: [BETA3] Upgrade Script 14x to 1.5.1.2 PLUS PRODUCT OPTIONS!

Posted: Fri Dec 21, 2018 10:34 am
by glolar
Hello all,

I will be using the [BETA3] Upgrade Script 14x to 1.5.1.2 tools found here:

http://forum.opencart.com/viewtopic.php ... 92#p237960

to upgrade a v1.4.9.3 site to 1.5.1.2, then upgrading that 1.5.1.2 site to OpenCart 3.x (as I understand it, the migration from 1.4.9.3 must occur in two steps ... cannot upgrade directly to 3.x from 1.4.9.3).

In looking at step 4a of the instructions, it says:

STEP 4a. UNZIP AND UPLOAD ALL THE NEW OPENCART FILES OVER YOUR EXISTING FILES

Can I assume that "THE NEW OPENCART FILES" in the statement above is referring to the OpenCart v1.5.1.2 files? Can I use OpenCart 1.5.6.1 instead of 1.5.1.2?

The reason I ask is that the download link on the OpenCart site for previous versions of OpenCart only goes back to v1.5.6.1.

So, can I use v1.5.6.1 OpenCart files for Step 4a, or do I have to find a download of OpenCart v1.5.1.2?

Thanks everyone!

Larry